import React from 'react';
import { MentionData } from '@draft-js-plugins/mention';
import '@draft-js-plugins/mention/lib/plugin.css';
import 'draft-js/dist/Draft.css';
import { IClassNameProps } from '../../../@types';
import { IRawDataModel } from './editorUtils';
import './RichTextEditor.css';
interface IRichTextEditorProps extends IClassNameProps {
    /**
     * Defines action button placeholder in editor's footer.
     * Should be React Element
     */
    actions?: React.ReactElement;
    /**
     * Defines Raw data (JSON stringified) exported from DraftJS Editor.
     * This will load the editor with saved state
     */
    rawDataString?: string;
    /**
     * Whether to enable Mentions feature
     */
    enableMentions?: boolean;
    /**
     * Defines cancel button handler
     */
    onCancel?: () => void;
    /**
     * Defines submit button handler.
     * Callback with editor's raw data
     */
    onSubmit: (data: IRawDataModel) => void;
    /**
     * Defines placeholder text
     */
    placeholder?: string;
    /**
     * Wheter to show cancel button
     */
    showCancel?: boolean;
    /**
     * Defines list of users.
     * Each entity must have `name` property
     */
    users?: MentionData[];
    /**
     * Defines wrapper class name
     */
    wrapperClassName?: string;
}
export declare function RichTextEditor({ actions, className, rawDataString, enableMentions, onCancel, onSubmit, placeholder, showCancel, users, wrapperClassName, }: IRichTextEditorProps): JSX.Element;
export {};
//# sourceMappingURL=RichTextEditor.d.ts.map