/// <reference types="react" />
import { IClassNameProps } from '../../../@types';
export interface ISearchInput extends IClassNameProps {
    /**
     * Render small input
     */
    isSmall?: boolean;
    /**
     * Defines min term length.
     * This means that on user type 'onSearch' will fire if term length is more or equal 'minTermLength'
     */
    minTermLength?: number;
    /**
     * Defines search action
     */
    onSearch: (term: string) => void;
    /**
     * Defines delay in milliseconds. If set, then 'onSearch' will fire on user type
     */
    debounceDelay?: number;
}
export declare const SearchInput: ({ isSmall, minTermLength, onSearch, debounceDelay, className, }: ISearchInput) => JSX.Element;
//# sourceMappingURL=SearchInput.d.ts.map