/// <reference types="react" />
import { INote } from '../../../@types';
import { IAddNoteProps, NOTE_TYPE } from './AddNotes';
export interface INotesRowProps {
    /**
     * Defines Add Notes component props
     */
    addNotesProps?: Partial<IAddNoteProps>;
    /**
     * Defines a function which returns whether this note is owned by current user
     */
    isOwnNote: (note: INote) => boolean;
    /**
     * Defines note object
     */
    note: INote;
    /**
     * Defines on delete event
     */
    onDelete: (note: INote) => void;
    /**
     * Defines on edit event
     */
    onEdit: (note: INote) => void;
    /**
     * Defines on reply event
     */
    onReply: (parentId: string, note: INote) => void;
    /**
     * Defines note type
     */
    type: NOTE_TYPE;
}
export declare function NotesRow({ addNotesProps, isOwnNote, note, onDelete, onEdit, onReply, type, }: INotesRowProps): JSX.Element;
//# sourceMappingURL=NotesRow.d.ts.map