/// <reference types="react" />
import { INote } from '../../../@types';
import { NOTE_TYPE } from './AddNotes';
interface ISubNotesProps {
    /**
     * Defines a function which returns whether this note is owned by current user
     */
    isOwnNote: (note: INote) => boolean;
    /**
     * Defines collection of notes object
     */
    notes: INote[];
    /**
     * Defines on delete event
     */
    onDelete: (note: INote) => void;
    /**
     * Defines on edit event
     */
    onEdit: (note: INote) => void;
    /**
     * Defines on reply event
     */
    onReply: (note: INote) => void;
    /**
     * Defines note type
     */
    type: NOTE_TYPE;
}
export declare function SubNotes({ isOwnNote, notes, onDelete, onEdit, onReply, type }: ISubNotesProps): JSX.Element;
export {};
//# sourceMappingURL=SubNotes.d.ts.map